import { PageContainer, ProTable } from "@ant-design/pro-components"
import { columns } from "./tableConfig"
import { useAjax } from "@/Hook/useAjax"
import { distributorAccountList } from "@/services/distributor/account"

const Page: React.FC = () => {
    let getList = useAjax((params) => distributorAccountList(params), { type: 'table' })
    return <PageContainer>
        <ProTable<any, any>
            headerTitle={"账号列表"}
            rowKey={(r) => r.id}
            search={{
                labelWidth: 120,
            }}
            request={async (params) => {
                return await getList.run(params)
            }}
            columns={columns()}
            scroll={{ x: "auto" }}
            // bordered
        />
    </PageContainer>

}
export default Page