import { api } from '@/services/api';
import { request } from '@umijs/max';

type ToAuthData = {
    "appId": number,//应用id
    "appType": number,//应用类型
    "advertisingChannel": number,//广告投放渠道
    "callbackPage": string//回调地址
}
/**获取授权地址*/
export async function tencentAdAccountToAuth(data:ToAuthData ) {
    return request(api + '/admin/tencentAdAccount/toAuth', {
        method: 'POST',
        data
    });
}
type DoAuthData = {
    "state": string,
    "authorizationCode": string,
    "callbackPage": string//回调地址
}
/**广告账号授权*/
export async function tencentAdAccountDoAuth(data:DoAuthData ) {
    return request(api + '/admin/tencentAdAccount/doAuth', {
        method: 'POST',
        data
    });
}